
<div class="row">
  <div class="col-md-12 col-sm-12 col-lg-12">
    <mat-toolbar class="toolbar bg-primary">
        <mat-toolbar-row>
          <span class="title-center" style="color:white ; font-size: 3.4rem;">Asset Data</span>
        </mat-toolbar-row>
      </mat-toolbar>
      <mat-toolbar class="toolbar" style="background-color:rgb(21, 22, 21)">
        <mat-toolbar-row>
          <span style="color: white">Asset ID - {{this.id}}  </span>
        </mat-toolbar-row>
      </mat-toolbar>

      <table mat-table [dataSource]="dataSource" class="mat-elevation-z8 table-striped warning table-bordered">
        <tbody>

          <!--- Note that these columns can be defined in any order.
                    The actual rendered columns are set as a property on the row definition" -->


          <ng-container matColumnDef="loggedAt">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Logged At </th>
            <td mat-cell *matCellDef="let element" style="text-align: center">{{element.loggedAt}}</td>
          </ng-container>


          <ng-container matColumnDef="DlTimestamp">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> DL Timestamp </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.DlTimestamp}} </td>
          </ng-container>


          <ng-container matColumnDef="assetId">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Asset ID </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.assetId}} </td>
          </ng-container>


          <ng-container matColumnDef="DL_id">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> DL-ID </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.DL_id}} </td>
          </ng-container>

          <ng-container matColumnDef="state">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> State </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.state}} </td>
          </ng-container>

          <ng-container matColumnDef="current">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Current </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.current}} </td>
          </ng-container>

          <ng-container matColumnDef="batRemain">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Percentage </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.batRemain}} </td>
          </ng-container>


          <ng-container matColumnDef="vol">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Vol </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.vol}} </td>
          </ng-container>


          <ng-container matColumnDef="cap">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Cap </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.cap}} </td>
          </ng-container>

          <ng-container matColumnDef="kminterval">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Km Interval </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.kminterval}} </td>
          </ng-container>

          <ng-container matColumnDef="lat">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Lat </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.lat}} </td>
          </ng-container>


          <ng-container matColumnDef="lon">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> Lon </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.lon}} </td>
          </ng-container>


          <ng-container matColumnDef="v1">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V1 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v1}} </td>
          </ng-container>

          <ng-container matColumnDef="v2">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V2 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v2}} </td>
          </ng-container>

          <ng-container matColumnDef="v3">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V3 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v3}} </td>
          </ng-container>

          <ng-container matColumnDef="v4">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V4 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v4}} </td>
          </ng-container>

          <ng-container matColumnDef="v5">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V5 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v5}} </td>
          </ng-container>

          <ng-container matColumnDef="v6">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V6 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v6}} </td>
          </ng-container>

          <ng-container matColumnDef="v7">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V7 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v7}} </td>
          </ng-container>

          <ng-container matColumnDef="v8">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V8 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v8}} </td>
          </ng-container>

          <ng-container matColumnDef="v9">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V9 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v9}} </td>
          </ng-container>

          <ng-container matColumnDef="v10">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V10 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v10}} </td>
          </ng-container>

          <ng-container matColumnDef="v11">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V11 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v11}} </td>
          </ng-container>

          <ng-container matColumnDef="v12">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V12 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v12}} </td>
          </ng-container>

          <ng-container matColumnDef="v13">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V13 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v13}} </td>
          </ng-container>

          <ng-container matColumnDef="v14">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V14 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v14}} </td>
          </ng-container>

          <ng-container matColumnDef="v15">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V15 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v15}} </td>
          </ng-container>

          <ng-container matColumnDef="v16">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> V16 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.v16}} </td>
          </ng-container>

          <ng-container matColumnDef="extTemp1">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> extTemp1 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.extTemp1}} </td>
          </ng-container>
          <ng-container matColumnDef="extTemp2">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> extTemp2 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.extTemp2}} </td>
          </ng-container>

          <ng-container matColumnDef="extTemp3">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> extTemp3 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.extTemp3}} </td>
          </ng-container>

          <ng-container matColumnDef="extTemp4">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> extTemp4 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.extTemp4}} </td>
          </ng-container>

          <ng-container matColumnDef="extTemp5">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> extTemp5 </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.extTemp5}} </td>
          </ng-container>

          <ng-container matColumnDef="powerTemp">
            <th mat-header-cell *matHeaderCellDef style="text-align: center"> power_Temp </th>
            <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.powerTemp}} </td>
          </ng-container>

          <ng-container matColumnDef="ambientTemp">
              <th mat-header-cell *matHeaderCellDef style="text-align: center"> ambient_Temp </th>
              <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.ambientTemp}} </td>
            </ng-container>

            <ng-container matColumnDef="sysStatus">
                <th mat-header-cell *matHeaderCellDef style="text-align: center"> sys_Status </th>
                <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.sysStatus}} </td>
              </ng-container>

              <ng-container matColumnDef="batStatus">
                  <th mat-header-cell *matHeaderCellDef style="text-align: center"> bat_Status </th>
                  <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.batStatus}} </td>
                </ng-container>


          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

      </table>
      </div>
    </div>

